Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » I can't install eclipse(problems with installation)
I can't install eclipse [message #1785473] Sat, 14 April 2018 16:55 Go to next message
Mijasch Müller is currently offline Mijasch MüllerFriend
Messages: 4
Registered: April 2018
Junior Member
Sorry if I am not the first one to have this problem but I can't install eclipse IDE.
When I try to install it, it says "Installation failed with an error. Show log." And in the log it says:

[2018-04-14 18:45:30] Executing bootstrap tasks
[2018-04-14 18:45:30] Java(TM) SE Runtime Environment 1.8.0_161-b12
[2018-04-14 18:45:30] Product org.eclipse.products.epp.package.java.oxygen
[2018-04-14 18:45:30] Bundle org.eclipse.oomph.setup 1.9.0.v20171202-1121, build=3282, branch=f99b41819cc9f86beec6b54bf453173fc2d4acef
[2018-04-14 18:45:30] Bundle org.eclipse.oomph.setup.core 1.9.0.v20171202-1121, build=3282, branch=f99b41819cc9f86beec6b54bf453173fc2d4acef
[2018-04-14 18:45:30] Bundle org.eclipse.oomph.setup.p2 1.9.0.v20171202-1121, build=3282, branch=f99b41819cc9f86beec6b54bf453173fc2d4acef
[2018-04-14 18:45:30] Performing P2 Director (Eclipse IDE for Java Developers (Oxygen))
[2018-04-14 18:45:30] Offline = false
[2018-04-14 18:45:30] Mirrors = true
[2018-04-14 18:45:30] Resolving 25 requirements from 3 repositories to /Users/michel/Desktop/java-oxygen/Eclipse.app/Contents/Eclipse
[2018-04-14 18:45:30] Requirement epp.package.java [4.7.0,4.8.0)
[2018-04-14 18:45:30] Requirement org.eclipse.platform.feature.group [4.7.0,4.8.0)
[2018-04-14 18:45:30] Requirement org.eclipse.rcp.feature.group [4.7.0,4.8.0)
[2018-04-14 18:45:30] Requirement org.eclipse.buildship.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.eclemma.feature.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.egit.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.egit.mylyn.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.jdt.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.jgit.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.m2e.feature.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.m2e.logback.feature.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.mylyn.bugzilla_feature.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.mylyn.context_feature.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.mylyn.git.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.mylyn.hudson.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.mylyn.ide_feature.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.mylyn.java_feature.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.mylyn.wikitext_feature.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.mylyn_feature.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.recommenders.mylyn.rcp.feature.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.recommenders.news.rcp.feature.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.recommenders.rcp.feature.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.recommenders.snipmatch.rcp.feature.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.wst.xml_ui.feature.feature.group
[2018-04-14 18:45:30] Requirement org.eclipse.oomph.setup.feature.group
[2018-04-14 18:45:30] Repository http://download.eclipse.org/technology/epp/packages/oxygen
[2018-04-14 18:45:30] Repository http://download.eclipse.org/releases/oxygen
[2018-04-14 18:45:30] Repository http://download.eclipse.org/oomph/updates/milestone/latest
[2018-04-14 18:45:31] ERROR: org.eclipse.equinox.p2.metadata.repository code=1002 Unable to read repository at http://download.eclipse.org/technology/epp/packages/oxygen.
org.tukaani.xz.XZFormatException: Input is not in the XZ format
at org.tukaani.xz.common.DecoderUtil.decodeStreamHeader(Unknown Source)
at org.tukaani.xz.SingleXZInputStream.initialize(Unknown Source)
at org.tukaani.xz.SingleXZInputStream.initialize(Unknown Source)
at org.tukaani.xz.SingleXZInputStream.<init>(Unknown Source)
at org.tukaani.xz.XZInputStream.<init>(Unknown Source)
at org.tukaani.xz.XZInputStream.<init>(Unknown Source)
at org.eclipse.equinox.internal.p2.metadata.repository.XZedSimpleMetadataRepositoryFactory.load(XZedSimpleMetadataRepositoryFactory.java:80)
at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.factoryLoad(MetadataRepositoryManager.java:57)
at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadRepository(AbstractRepositoryManager.java:768)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:498)
at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:117)
at org.eclipse.oomph.p2.internal.core.CachingRepositoryManager.loadRepository(CachingRepositoryManager.java:409)
at org.eclipse.oomph.p2.internal.core.CachingRepositoryManager.loadRepository(CachingRepositoryManager.java:201)
at org.eclipse.oomph.p2.internal.core.CachingRepositoryManager$Metadata.loadRepository(CachingRepositoryManager.java:476)
at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:96)
at org.eclipse.equinox.internal.p2.metadata.repository.MetadataRepositoryManager.loadRepository(MetadataRepositoryManager.java:92)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$RepositoryLoader$Worker.perform(ProfileTransactionImpl.java:1613)
at org.eclipse.oomph.util.WorkerPool$Worker.run(WorkerPool.java:428)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:56)

[2018-04-14 18:45:31]

can anyone help me with that?
Re: I can't install eclipse [message #1785493 is a reply to message #1785473] Sun, 15 April 2018 14:45 Go to previous messageGo to next message
Mijasch Müller is currently offline Mijasch MüllerFriend
Messages: 4
Registered: April 2018
Junior Member
Also I need to say that I am working with a Mac and that I have the latest eclipseistaller installed

[Updated on: Sun, 15 April 2018 14:46]

Report message to a moderator

Re: I can't install eclipse [message #1785496 is a reply to message #1785493] Sun, 15 April 2018 16:25 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 29349
Registered: July 2009
Senior Member
Does it consistently produce this same result from repeated attempts? Unfortunately the download.eclipse.org server will "transparently" redirect requests to a mirror closer to you, and if that mirror has a bad copy of the repository metadata, that could produce a result like this. I say "unfortunately" because there is no way to turn the behavior off nor otherwise control it, nor is it clear which mirror is being used, so its hard to tell which mirror might have a bad copy so that it can be removed from the server's list.
Re: I can't install eclipse [message #1785543 is a reply to message #1785496] Mon, 16 April 2018 14:08 Go to previous messageGo to next message
Mijasch Müller is currently offline Mijasch MüllerFriend
Messages: 4
Registered: April 2018
Junior Member
I didn´t look through everything exactly but it seems to be the same error all the time.
  • Attachment: Examples.txt
    (Size: 17.08KB, Downloaded 17 times)
Re: I can't install eclipse [message #1786226 is a reply to message #1785473] Fri, 27 April 2018 07:40 Go to previous messageGo to next message
CH Quah is currently offline CH QuahFriend
Messages: 1
Registered: April 2018
Junior Member
I have the same error too... :(
  • Attachment: setup.log
    (Size: 4.82KB, Downloaded 6 times)
Re: I can't install eclipse [message #1786462 is a reply to message #1785473] Thu, 03 May 2018 17:08 Go to previous messageGo to next message
akhila tammana is currently offline akhila tammanaFriend
Messages: 1
Registered: May 2018
Junior Member
i am also facing the same problem.i tried reinstalling eclipse but is of no help.please any one help me with this
Re: I can't install eclipse [message #1786691 is a reply to message #1785496] Wed, 09 May 2018 13:45 Go to previous messageGo to next message
Denis Roy is currently offline Denis RoyFriend
Messages: 444
Registered: October 2004
Location: Ottawa, Ontario, Canada
Senior Member

Ed Merks wrote on Sun, 15 April 2018 12:25
Does it consistently produce this same result from repeated attempts? Unfortunately the download.eclipse.org server will "transparently" redirect requests to a mirror closer to you, and if that mirror has a bad copy of the repository metadata, that could produce a result like this. I say "unfortunately" because there is no way to turn the behavior off nor otherwise control it, nor is it clear which mirror is being used, so its hard to tell which mirror might have a bad copy so that it can be removed from the server's list.


Which .xz file is it looking for specifically? We can include those in our mirror checks specifically.


Denis Roy
Eclipse Webmaster -- webmaster@eclipse.org
Re: I can't install eclipse [message #1786697 is a reply to message #1786691] Wed, 09 May 2018 14:48 Go to previous messageGo to next message
Mijasch Müller is currently offline Mijasch MüllerFriend
Messages: 4
Registered: April 2018
Junior Member
I think it is
http://download.eclipse.org/technology/epp/packages/oxygen.
org.tukaani.xz.XZFormatException: Input is not in the XZ format

It says this in the error log
so the org.tukaani.xz is not working I guess?

Hope you can help me.
Thank you Mijasch
Re: I can't install eclipse [message #1786703 is a reply to message #1786697] Wed, 09 May 2018 15:49 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 29349
Registered: July 2009
Senior Member
Dennis, here is a specific bug:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=534434

Similar problem reports pop up for different repos on various occasions, none of them ever reproducible. So one possible theory is a corrupted mirror that's been transparently used for the repository metadata itself. But that's impossible to confirm because this is not tracked internally in p2 the way the explicit use of mirrors is tracked when downloading the artifacts themselves.
Re: I can't install eclipse [message #1786712 is a reply to message #1786703] Wed, 09 May 2018 17:47 Go to previous message
Denis Roy is currently offline Denis RoyFriend
Messages: 444
Registered: October 2004
Location: Ottawa, Ontario, Canada
Senior Member

Thanks, Ed. I posted on the bug -- I think I know what the issue is.

Denis Roy
Eclipse Webmaster -- webmaster@eclipse.org
Previous Topic:Nashorn throwing java.lang.RuntimeException: java.lang.ClassNotFoundException
Next Topic:Customizing System.out
Goto Forum:
  


Current Time: Sun May 20 23:40:43 GMT 2018

Powered by FUDForum. Page generated in 0.03558 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top